# Define version and release number
%define php_common_major 8
%define php_common_sub 3
%define phplong %{php_common_major}.%{php_common_sub}
%global with_tests  0%{?_with_tests:1}
%global modname   amqp
%global pecl_name   amqp
%global ini_name    40-%{pecl_name}.ini
%define _disable_ld_no_undefined 1
%define php_inidir %{_sysconfdir}/php.d/
%define pecl_xmldir %{_sharedstatedir}/php/peclxml
#define prever dev
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)
%define inidir %(php-config%{phplong} --ini-dir)

Summary:	Communicate with any AMQP compliant server
Name:		php-%{modname}
Version:	2.1.1
Release:	%mkrel 9 
License:	PHP
Group:		Development/Other
URL:		https://pecl.php.net/package/amqp
Source0:	https://pecl.php.net/get/%{pecl_name}-%{version}%{?prever}.tgz
Source1:	40-amqp.ini
BuildRequires:	mercurial
BuildRequires:	php%{phplong}-pear
BuildRequires:	pkgconfig(librabbitmq) >= 0.5.2
%if %{with_tests}
BuildRequires:	rabbitmq-server
%endif

BuildRequires:	php%{phplong}-devel

%description
%{modname}

%package -n php%{phplong}-%{modname}
Summary:	Communicate with any AMQP compliant server
Group:		Development/Other

Requires:	php >= 3:%{phplong}.0,php <= 3:%{phplong}.99
Requires:	php%{phplong}-common >= 3:%{phplong}.0

Provides:	php-pecl-%{pecl_name}          = %{version}
Provides:	php-pecl(%{pecl_name})         = %{version}
Provides:	php-%{modname} = %{version}



%description -n php%{phplong}-%{modname}
This extension can communicate with any AMQP spec 0-9-1 compatible server,
such as RabbitMQ, OpenAMQP and Qpid, giving you the ability to create and
delete exchanges and queues, as well as publish to any exchange and consume
from any queue.


%prep
%autosetup -S hg -n %{modname}-%{version}
# Don't install/register tests
sed -e 's/role="test"/role="src"/' \
    -e '/LICENSE/s/role="doc"/role="src"/' \
    -i ../package.xml

sed -e 's/CFLAGS="-I/CFLAGS="$CFLAGS -I/' -i config.m4
cd ..

cp %{SOURCE1} .

%build
%{_bindir}/phpize%{phplong}
#rm -f aclocal.m4
#autoreconf -fi
%configure --with-php-config=%{_bindir}/php-config \
			--with-libdir=%{_lib} \
			--with-%{modname}=shared,%{_prefix}

#fix makefile having /usr/usr in path
perl -pi -e "s|-rpath,/usr/usr/%{_lib} -L/usr/usr/%{_lib}\b| |g" Makefile

%make_build


%install
%make_build install INSTALL_ROOT=%{buildroot}

install -d %{buildroot}%{inidir}

# Drop in the bit of configuration
install -Dpm 644 ../%{ini_name} %{buildroot}%{php_inidir}/%{ini_name}
ln -s -t %{buildroot}%{inidir}/ %{php_inidir}/%{ini_name}

# Install XML package description
install -Dpm 644 ../package.xml %{buildroot}%{pecl_xmldir}/%{name}.xml

# Documentation
for i in $(grep 'role="doc"' ../package.xml | sed -e 's/^.*name="//;s/".*$//')
do install -Dpm 644 $i %{buildroot}%{pecl_docdir}/%{pecl_name}/$i
done


%check
: Minimal load test for NTS extension
/usr/bin/php --no-php-ini \
    --define extension=modules/%{pecl_name}.so \
    -m | grep %{pecl_name}

%if %{with_tests}
mkdir log run base
: Launch the RabbitMQ service
export RABBITMQ_PID_FILE=$PWD/run/pid
export RABBITMQ_LOG_BASE=$PWD/log
export RABBITMQ_MNESIA_BASE=$PWD/base
/usr/lib/rabbitmq/bin/rabbitmq-server &>log/output &
/usr/lib/rabbitmq/bin/rabbitmqctl wait $RABBITMQ_PID_FILE

ret=0
pushd NTS
: Run the upstream test Suite for NTS extension
TEST_PHP_EXECUTABLE=%{__php} \
TEST_PHP_ARGS="-n -d extension=$PWD/modules/%{pecl_name}.so" \
NO_INTERACTION=1 \
REPORT_EXIT_STATUS=1 \
%{__php} -n run-tests.php --show-diff || ret=1
popd

: Cleanup
if [ -s $RABBITMQ_PID_FILE ]; then
   kill $(cat $RABBITMQ_PID_FILE)
fi
rm -rf log run base

exit $ret
%endif


%files -n php%{phplong}-%{modname}
%license LICENSE
%{pecl_xmldir}/%{name}.xml

%config(noreplace) %{php_inidir}/%{ini_name}
%config(noreplace)%{inidir}/%{ini_name}
%attr(0755,root,root)  %{extdir}/%{pecl_name}.so


%changelog
* Sun Apr 06 2025 mokraemer <mokraemer> 2.1.1-9.mga9
+ Revision: 2173993
- dep
- x
- version bump
- revisit requirements
- fix phpize
- fixed dep
- switched config dir
- resubmit
- fix deps
- fix dependency
- support multiversioned php

* Fri Oct 13 2023 mokraemer <mokraemer> 2.1.1-1.mga10
+ Revision: 1995756
- new version 2.1.1

* Fri Sep 08 2023 mokraemer <mokraemer> 2.1.0-2.mga10
+ Revision: 1985311
- remove test at all
- fix internal version check
- rebuild for php 8.3
- new version 2.1.0 - source added
- new version 2.1.0
- new version 2.0.0

* Fri Nov 04 2022 mokraemer <mokraemer> 1.11.0-6.mga9
+ Revision: 1902341
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 1.11.0-5.mga9
+ Revision: 1879763
- update extension for new directories

* Sat Jul 23 2022 mokraemer <mokraemer> 1.11.0-4.mga9
+ Revision: 1870331
- fix linker path in makefile
- fix dependancy error
- rebuild for php 8.2
- fix build script
- new version 1.11.0
- rebuild for php 8.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Dec 30 2020 mokraemer <mokraemer> 1.10.3-0.git20201230.1.mga8
+ Revision: 1665439
- pre release for php8

* Thu Jun 18 2020 mokraemer <mokraemer> 1.10.2-2.mga8
+ Revision: 1596247
- fix dep to current version

* Mon Apr 06 2020 mokraemer <mokraemer> 1.10.2-1.mga8
+ Revision: 1565134
- new version 1.10.2

* Tue Feb 18 2020 umeabot <umeabot> 1.9.4-3.mga8
+ Revision: 1539062
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 1.9.4-2.mga8
+ Revision: 1463511
+ rebuild (emptylog)

* Thu Jan 31 2019 daviddavid <daviddavid> 1.9.4-1.mga7
+ Revision: 1362144
- new version: 1.9.4 (fixes build with PHP 7.3)

* Sun Sep 23 2018 umeabot <umeabot> 1.9.3-4.mga7
+ Revision: 1300207
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 1.9.3-3.mga7
+ Revision: 1217351
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 1.9.3-2.mga7
+ Revision: 1180957
+ rebuild (emptylog)

* Tue Nov 14 2017 zezinho <zezinho> 1.9.3-1.mga7
+ Revision: 1177348
- new version

* Mon Jul 11 2016 luigiwalser <luigiwalser> 1.7.0-3.mga6
+ Revision: 1041162
- fix php-amqp package name

* Fri Jul 08 2016 neoclust <neoclust> 1.7.0-2.mga6
+ Revision: 1039846
- Remove requires
- imported package php-pecl-amqp

